IntegrationsGmail
Fetch one Gmail message's headers and bounded text and optional HTML bodies.
Fetch one Gmail message's headers and bounded text and optional HTML bodies.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
connection_id*string
Resource identifier: connection_id.
Format
uuidHeader Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/gmail/messages/get" \ -H "Content-Type: application/json" \ -d '{ "message_id": "example" }'{ "message_id": "example", "thread_id": "example", "internet_message_id": "example", "subject": "example", "sender": "example", "recipients": [], "cc": [], "received_at": "example", "is_read": false, "label_ids": [], "text": "example", "text_truncated": false, "html": "example", "html_truncated": false, "has_attachments": false}